package MpmasEDICCanalModel;

use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use MpmasInputfile;
use MpmasInputBlock;
our @ISA = qw(MpmasInputfile);

sub filename {
	return "CanalModel";
}
sub required {
      my $self = shift;
      return 1 if ($self->config_entry("LANDSCAPE_MODEL") == 1 && $self->config_entry("EDICEXTENDEDCANAL"));
}
sub prepare_shared {
	my $self = shift;
}


sub prepare_special {
	my $self = shift;	
	my $block1 = MpmasInputBlock->new(0,10);
	$block1->add_row("CANAL_MODEL", $self->config_entry("EDICCANALMODEL"));
	$block1->add_row("CANAL_BETA_SHARE", $self->config_entry("EDICCANALBETASH"));
	$block1->add_row("CANAL_LOSSFACTOR", $self->config_entry("EDICCANALLOSS"));
	$block1->add_row("CANAL_LAMBDA", $self->config_entry("EDICCANALLAMBDA"));
	$self->add_block($block1);

}
